# uinst

~~~
uinst: Déployer en local un fichier, une archive, ou un répertoire

USAGE
    uinst [options] <file|archive|dir>

OPTIONS
    var=value
        Spécifier la valeur d'une variable ou d'un préfixe, plutôt que de
        laisser uprefix l'autodétecter. Utiliser 'uprefix -l' pour avoir une
        liste de préfixes valides. Utiliser 'udir --help-vars' pour avoir une
        liste de variables valides pour uinst.
    -d /path/to/destdir
        Spécifier le répertoire destination, exactement comme si la valeur
        destdir avait été spécifiée, i.e destdir="/path/to/destdir"
    -h, --host [user@]host
        Avec la méthode de déploiement uinst:rsync, permettre de spécifier un
        hôte différent. Cette option est ignorée pour les autres méthodes de
        déploiement. Si host vaut localhost, un déploiement local avec ssh est
        effectué. Si host vaut '.', un déploiement local *sans passer par ssh*
        est effectué, comme si seul le chemin avait été spécifié.
        Cette option initialise la valeur destdir_override_userhost
    -S, --ssh ssh
        Avec la méthode de déploiement uinst:rsync, spécifier le programme à
        utiliser pour la connection par ssh. Cette option initialise la valeur
        destdir_ssh
    --force-remote
        Avec la méthode de déploiement uinst:rsync, si un hôte est spécifié dans
        la valeur de destdir, forcer le déploiement distant avec ssh+rsync, même
        si l'hôte et l'utilisateur correspondent aux valeurs courantes. Cette
        option initialise la valeur destdir_force_remote
    -a, --auto
        Si la source n'est pas spécifiée, déterminer le répertoire à déployer
        automatiquement (c'est la valeur par défaut)
    --no-auto
        Ne pas déterminer automatiquement le répertoire à déployer.
    --prefix
        Corriger les chemins srcdir et destdir qui commencent par des préfixes
        valides (c'est la valeur par défaut). Utiliser 'uprefix -l' pour avoir
        une liste de préfixes valides
    --no-prefix
        Ne jamais corriger un chemin.
    --include-vcs
        Inclure les fichiers de VCS dans les fichiers copiés. Par défaut, les
        fichiers de VCS sont exclus.
    -l, --local-profiles
        Installer les profils locaux comme tels
    --shared-profiles
        Installer les profils locaux comme des profils partagés. C'est la valeur
        par défaut pour compatibilité.
    -C  Configurer un répertoire pour le déploiement avec uinst
        Ajouter l'option --force pour forcer la reconfiguration
~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary